Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1352)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1353)
@@ -3175,5 +3175,5 @@
 !-- potential temperature, check the width of the damping layer
     IF ( bc_lr /= 'cyclic' ) THEN
-       IF ( pt_damping_width < 0.0  .OR.  pt_damping_width > REAL( nx * dx ) )  THEN
+       IF ( pt_damping_width < 0.0_wp  .OR.  pt_damping_width > REAL( nx * dx ) )  THEN
           message_string = 'pt_damping_width out of range'
           CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
@@ -3182,5 +3182,5 @@
 
     IF ( bc_ns /= 'cyclic' )  THEN
-       IF ( pt_damping_width < 0.0  .OR.  pt_damping_width > REAL( ny * dy ) )  THEN
+       IF ( pt_damping_width < 0.0_wp  .OR.  pt_damping_width > REAL( ny * dy ) )  THEN
           message_string = 'pt_damping_width out of range'
           CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
@@ -3343,5 +3343,5 @@
 !
 !--       Set the default value for the width of the recycling domain
-          recycling_width = 0.1 * nx * dx
+          recycling_width = 0.1_wp * nx * dx
        ELSE
           IF ( recycling_width < dx  .OR.  recycling_width > nx * dx )  THEN
@@ -3368,8 +3368,8 @@
 !-- Determine damping level index for 1D model
     IF ( INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
-       IF ( damp_level_1d == -1.0 )  THEN
+       IF ( damp_level_1d == -1.0_wp )  THEN
           damp_level_1d     = zu(nzt+1)
           damp_level_ind_1d = nzt + 1
-       ELSEIF ( damp_level_1d < 0.0  .OR.  damp_level_1d > zu(nzt+1) )  THEN
+       ELSEIF ( damp_level_1d < 0.0_wp  .OR.  damp_level_1d > zu(nzt+1) )  THEN
           WRITE( message_string, * )  'damp_level_1d = ', damp_level_1d, &
                  ' must be > 0.0 and < ', zu(nzt+1), '(zu(nzt+1))'
@@ -3416,9 +3416,9 @@
 !
 !-- Set default value of the time needed to terminate a model run
-    IF ( termination_time_needed == -1.0 )  THEN
+    IF ( termination_time_needed == -1.0_wp )  THEN
        IF ( host(1:3) == 'ibm' )  THEN
-          termination_time_needed = 300.0
+          termination_time_needed = 300.0_wp
        ELSE
-          termination_time_needed = 35.0
+          termination_time_needed = 35.0_wp
        ENDIF
     ENDIF
@@ -3430,5 +3430,5 @@
 !--    Time needed must be at least 30 seconds on all CRAY machines, because
 !--    MPP_TREMAIN gives the remaining CPU time only in steps of 30 seconds
-       IF ( termination_time_needed <= 30.0 )  THEN
+       IF ( termination_time_needed <= 30.0_wp )  THEN
           WRITE( message_string, * )  'termination_time_needed = ', &
                  termination_time_needed, ' must be > 30.0 on host "', &
@@ -3441,5 +3441,5 @@
 !--    because the job time consumed before executing palm (for compiling,
 !--    copying of files, etc.) has to be regarded
-       IF ( termination_time_needed < 300.0 )  THEN
+       IF ( termination_time_needed < 300.0_wp )  THEN
           WRITE( message_string, * )  'termination_time_needed = ', &
                  termination_time_needed, ' should be >= 300.0 on host "', &
@@ -3462,5 +3462,5 @@
           CALL message( 'check_parameters', 'PA0151', 1, 2, 0, 6, 0 )
        ENDIF
-       IF ( .NOT. ANY( dpdxy /= 0.0 ) )  THEN
+       IF ( .NOT. ANY( dpdxy /= 0.0_wp ) )  THEN
           WRITE( message_string, * )  'dp_external is .TRUE. but dpdxy is ze', &
                'ro, i.e. the external pressure gradient & will not be applied'
@@ -3468,5 +3468,5 @@
        ENDIF
     ENDIF
-    IF ( ANY( dpdxy /= 0.0 ) .AND. .NOT. dp_external )  THEN
+    IF ( ANY( dpdxy /= 0.0_wp ) .AND. .NOT. dp_external )  THEN
        WRITE( message_string, * )  'dpdxy is nonzero but dp_external is ', &
             '.FALSE., i.e. the external pressure gradient & will not be applied'
@@ -3499,5 +3499,5 @@
        ENDIF
     ENDIF
-    IF ( ( u_bulk /= 0.0 .OR. v_bulk /= 0.0 ) .AND.  &
+    IF ( ( u_bulk /= 0.0_wp .OR. v_bulk /= 0.0_wp ) .AND.  &
          ( .NOT. conserve_volume_flow .OR.  &
          TRIM( conserve_volume_flow_mode ) /= 'bulk_velocity' ) )  THEN
Index: /palm/trunk/SOURCE/compute_vpt.f90
===================================================================
--- /palm/trunk/SOURCE/compute_vpt.f90	(revision 1352)
+++ /palm/trunk/SOURCE/compute_vpt.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -68,12 +68,12 @@
 
     IF ( .NOT. cloud_physics  .AND.  .NOT. cloud_droplets )  THEN
-       vpt = pt * ( 1.0 + 0.61 * q )
+       vpt = pt * ( 1.0_wp + 0.61_wp * q )
     ELSE IF (cloud_physics)  THEN
        DO  k = nzb, nzt+1
           vpt(k,:,:) = ( pt(k,:,:) + pt_d_t(k) * l_d_cp * ql(k,:,:) ) *        &
-                       ( 1.0 + 0.61 * q(k,:,:) - 1.61 * ql(k,:,:) ) 
+                       ( 1.0_wp + 0.61_wp * q(k,:,:) - 1.61_wp * ql(k,:,:) ) 
        ENDDO
     ELSE
-       vpt = pt * ( 1.0 + 0.61 * q - ql ) 
+       vpt = pt * ( 1.0_wp + 0.61_wp * q - ql ) 
     ENDIF
 
Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 1352)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -106,8 +106,8 @@
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *             &
+                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25_wp *          &
                                    ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +    &
                                      v(k,j+1,i) ) - vg(k) )                    &
-                                             - fs *    ( 0.25 *                &
+                                                - fs *    ( 0.25_wp *          &
                                    ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +  &
                                      w(k,j,i)   ) &
@@ -123,5 +123,5 @@
                 DO  j = nysv, nyn
                    DO  k = nzb_v_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *             &
+                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25_wp *          &
                                    ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +    &
                                      u(k,j,i+1) ) - ug(k) )
@@ -136,5 +136,5 @@
                 DO  j = nys, nyn
                    DO  k = nzb_w_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                  &
+                      tend(k,j,i) = tend(k,j,i) + fs * 0.25_wp *               &
                                    ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +      &
                                      u(k+1,j,i+1) )
@@ -190,8 +190,8 @@
                    DO  k = 1, nzt
                       IF  ( k > nzb_u_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *          &
+                         tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25_wp *       &
                                       ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) + &
                                         v(k,j+1,i) ) - vg(k) )                 &
-                                                - fs *    ( 0.25 *             &
+                                                   - fs *    ( 0.25_wp *       &
                                       ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) &
                                         + w(k,j,i)   )                         &
@@ -211,5 +211,5 @@
                    DO  k = 1, nzt
                       IF  ( k > nzb_v_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *          &
+                         tend(k,j,i) = tend(k,j,i) - f *     ( 0.25_wp *       &
                                       ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
                                         u(k,j,i+1) ) - ug(k) )
@@ -228,5 +228,5 @@
                    DO  k = 1, nzt
                       IF  ( k > nzb_w_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + fs * 0.25 *               &
+                         tend(k,j,i) = tend(k,j,i) + fs * 0.25_wp *            &
                                       ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +   &
                                         u(k+1,j,i+1) )
@@ -278,8 +278,8 @@
           CASE ( 1 )
              DO  k = nzb_u_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *                   &
+                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25_wp *                &
                                 ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +       &
                                   v(k,j+1,i) ) - vg(k) )                       &
-                                          - fs *    ( 0.25 *                   &
+                                          - fs *    ( 0.25_wp *                &
                                 ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +     &
                                   w(k,j,i)   ) )
@@ -290,5 +290,5 @@
           CASE ( 2 )
              DO  k = nzb_v_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *                   &
+                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25_wp *                &
                                 ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +       &
                                   u(k,j,i+1) ) - ug(k) )
@@ -299,5 +299,5 @@
           CASE ( 3 )
              DO  k = nzb_w_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                        &
+                tend(k,j,i) = tend(k,j,i) + fs * 0.25_wp *                     &
                                 ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +         &
                                   u(k+1,j,i+1) )
Index: /palm/trunk/SOURCE/cpulog.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog.f90	(revision 1352)
+++ /palm/trunk/SOURCE/cpulog.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -100,8 +100,10 @@
     END TYPE logpoint
 
-    TYPE(logpoint), DIMENSION(100) ::  log_point = logpoint( 0.0, 0.0, 0.0,   &
-                                       0.0, 0.0, 0.0, 0.0, 0, ' ' ),          &
-                                       log_point_s = logpoint( 0.0, 0.0, 0.0, &
-                                       0.0, 0.0, 0.0, 0.0, 0, ' ' )
+    TYPE(logpoint), DIMENSION(100) ::  log_point = logpoint( 0.0_wp, 0.0_wp,   &
+                                       0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, &
+                                       0, ' ' ),                               &
+                                       log_point_s = logpoint( 0.0_wp, 0.0_wp, &
+                                       0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, &
+                                       0, ' ' )
 
     SAVE
@@ -120,6 +122,6 @@
        LOGICAL, SAVE     ::  first = .TRUE.     !: 
        
-       REAL(wp)          ::  mtime = 0.0        !: 
-       REAL(wp)          ::   mtimevec = 0.0    !: 
+       REAL(wp)          ::  mtime = 0.0_wp     !: 
+       REAL(wp)          ::  mtimevec = 0.0_wp  !: 
        TYPE(logpoint)    ::  log_event          !: 
 
@@ -212,6 +214,6 @@
           log_event%vector   = log_event%vector + log_event%mtimevec
           log_event%counts   = log_event%counts + 1
-          log_event%isum     = 0.0
-          log_event%ivect    = 0.0
+          log_event%isum     = 0.0_wp
+          log_event%ivect    = 0.0_wp
        ELSE
           message_string = 'unknown modus of time measurement: ' // TRIM( modus )
@@ -239,5 +241,5 @@
        INTEGER(iwp)    ::  sender          !: 
        REAL(wp)       ::  average_cputime  !: 
-       REAL(wp), SAVE ::  norm = 1.0       !: 
+       REAL(wp), SAVE ::  norm = 1.0_wp    !: 
        REAL(wp), DIMENSION(:),   ALLOCATABLE ::  pe_max        !: 
        REAL(wp), DIMENSION(:),   ALLOCATABLE ::  pe_min        !: 
@@ -267,5 +269,5 @@
           pe_min = log_point%sum
           pe_max = log_point%sum    ! need to be set in case of 1 PE
-          pe_rms = 0.0
+          pe_rms = 0.0_wp
 
 #if defined( __parallel )
@@ -319,5 +321,5 @@
              sum = log_point%sum
           ELSEWHERE
-             sum = -1.0
+             sum = -1.0_wp
           ENDWHERE
 
@@ -328,5 +330,5 @@
                                REAL( nr_timesteps_this_run, KIND=wp ) * 1E6_wp  ! in micro-sec
           ELSE
-             average_cputime = -1.0
+             average_cputime = -1.0_wp
           ENDIF
 
@@ -354,10 +356,10 @@
              ii = MAXLOC( sum )
              i = ii(1)
-             IF ( sum(i) /= -1.0 )  THEN
+             IF ( sum(i) /= -1.0_wp )  THEN
                 WRITE ( 18, 102 ) &
-              log_point(i)%place, log_point(i)%sum,                &
-                   log_point(i)%sum / log_point(1)%sum * 100.0,         &
+              log_point(i)%place, log_point(i)%sum,                            &
+                   log_point(i)%sum / log_point(1)%sum * 100.0_wp,             &
                    log_point(i)%counts, pe_min(i), pe_max(i), pe_rms(i)
-                sum(i) = -1.0
+                sum(i) = -1.0_wp
              ELSE
                 EXIT
@@ -391,5 +393,5 @@
           pe_min = log_point_s%sum
           pe_max = log_point_s%sum    ! need to be set in case of 1 PE
-          pe_rms = 0.0
+          pe_rms = 0.0_wp
 
 #if defined( __parallel )
@@ -416,5 +418,5 @@
 !--          Calculate rms
              DO  i = 0, numprocs-1
-                pe_rms(iii) = pe_rms(iii) + ( &
+                pe_rms(iii) = pe_rms(iii) + (                                  &
                                     pe_log_points(iii,i) - log_point_s(iii)%sum &
                                             )**2
@@ -441,5 +443,5 @@
              sum = log_point_s%sum
           ELSEWHERE
-             sum = -1.0
+             sum = -1.0_wp
           ENDWHERE
 
@@ -450,10 +452,10 @@
              ii = MAXLOC( sum )
              i = ii(1)
-             IF ( sum(i) /= -1.0 )  THEN
-                WRITE ( 18, 102 ) &
-                   log_point_s(i)%place, log_point_s(i)%sum, &
-                   log_point_s(i)%sum / log_point(1)%sum * 100.0, &
+             IF ( sum(i) /= -1.0_wp )  THEN
+                WRITE ( 18, 102 )                                              &
+                   log_point_s(i)%place, log_point_s(i)%sum,                   &
+                   log_point_s(i)%sum / log_point(1)%sum * 100.0_wp,           &
                    log_point_s(i)%counts, pe_min(i), pe_max(i), pe_rms(i)
-                sum(i) = -1.0
+                sum(i) = -1.0_wp
              ELSE
                 EXIT
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -235,5 +235,5 @@
              ns = ns - 1
              ALLOCATE( local_2d_sections(nxlg:nxrg,nysg:nyng,1:ns) )
-             local_2d_sections = 0.0
+             local_2d_sections = 0.0_wp
           ENDIF
 
@@ -266,5 +266,5 @@
              ALLOCATE( local_2d_sections(nxlg:nxrg,1:ns,nzb:nzt+1) )
              ALLOCATE( local_2d_sections_l(nxlg:nxrg,1:ns,nzb:nzt+1) )
-             local_2d_sections = 0.0; local_2d_sections_l = 0.0
+             local_2d_sections = 0.0_wp; local_2d_sections_l = 0.0_wp
           ENDIF
 
@@ -297,5 +297,5 @@
              ALLOCATE( local_2d_sections(1:ns,nysg:nyng,nzb:nzt+1) )
              ALLOCATE( local_2d_sections_l(1:ns,nysg:nyng,nzb:nzt+1) )
-             local_2d_sections = 0.0; local_2d_sections_l = 0.0
+             local_2d_sections = 0.0_wp; local_2d_sections_l = 0.0_wp
           ENDIF
 
@@ -400,5 +400,5 @@
                       CALL exchange_horiz( tend, nbgp )
                    ELSE
-                      tend = 0.0
+                      tend = 0.0_wp
                    ENDIF
                    DO  i = nxlg, nxrg
@@ -422,6 +422,6 @@
                             DO  k = nzb, nzt+1
                                psi = prt_start_index(k,j,i)
-                               s_r3 = 0.0
-                               s_r4 = 0.0
+                               s_r3 = 0.0_wp
+                               s_r4 = 0.0_wp
                                DO  n = psi, psi+prt_count(k,j,i)-1
                                   s_r3 = s_r3 + particles(n)%radius**3 *       &
@@ -430,8 +430,8 @@
                                                 particles(n)%weight_factor
                                ENDDO
-                               IF ( s_r3 /= 0.0 )  THEN
+                               IF ( s_r3 /= 0.0_wp )  THEN
                                   mean_r = s_r4 / s_r3
                                ELSE
-                                  mean_r = 0.0
+                                  mean_r = 0.0_wp
                                ENDIF
                                tend(k,j,i) = mean_r
@@ -441,5 +441,5 @@
                       CALL exchange_horiz( tend, nbgp )
                    ELSE
-                      tend = 0.0
+                      tend = 0.0_wp
                    END IF
                    DO  i = nxlg, nxrg
@@ -463,5 +463,5 @@
                    ENDDO
                 ENDDO
-                precipitation_amount = 0.0   ! reset for next integ. interval
+                precipitation_amount = 0.0_wp   ! reset for next integ. interval
                 resorted = .TRUE.
                 two_d = .TRUE.
@@ -608,5 +608,5 @@
                       CALL exchange_horiz( tend, nbgp )
                    ELSE
-                      tend = 0.0
+                      tend = 0.0_wp
                    END IF
                    DO  i = nxlg, nxrg
@@ -733,5 +733,5 @@
 !--             at the bottom boundary by the real surface values.
                 IF ( do2d(av,if) == 'u_xz'  .OR.  do2d(av,if) == 'u_yz' )  THEN
-                   IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0
+                   IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0_wp
                 ENDIF
 
@@ -765,5 +765,5 @@
 !--             at the bottom boundary by the real surface values.
                 IF ( do2d(av,if) == 'v_xz'  .OR.  do2d(av,if) == 'v_yz' )  THEN
-                   IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0
+                   IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0_wp
                 ENDIF
 
@@ -898,5 +898,5 @@
                    IF ( section(is,s) == -1  .AND.  .NOT. two_d )  THEN
 
-                      local_2d = 0.0
+                      local_2d = 0.0_wp
 !
 !--                   Carry out the averaging (all data are on the PE)
@@ -909,5 +909,5 @@
                       ENDDO
 
-                      local_2d = local_2d / ( nzt -nzb + 2.0)
+                      local_2d = local_2d / ( nzt -nzb + 2.0_wp)
 
                    ELSE
@@ -1089,5 +1089,5 @@
 
                       ALLOCATE( local_2d_l(nxlg:nxrg,nzb:nzt+1) )
-                      local_2d_l = 0.0
+                      local_2d_l = 0.0_wp
                       ngp = ( nxrg-nxlg+1 ) * ( nzt-nzb+2 )
 !
@@ -1111,5 +1111,5 @@
                       local_2d = local_2d_l
 #endif
-                      local_2d = local_2d / ( ny + 1.0 )
+                      local_2d = local_2d / ( ny + 1.0_wp )
 
                       DEALLOCATE( local_2d_l )
@@ -1308,5 +1308,5 @@
 
                       ALLOCATE( local_2d_l(nysg:nyng,nzb:nzt+1) )
-                      local_2d_l = 0.0
+                      local_2d_l = 0.0_wp
                       ngp = ( nyng-nysg+1 ) * ( nzt-nzb+2 )
 !
@@ -1330,5 +1330,5 @@
                       local_2d = local_2d_l
 #endif
-                      local_2d = local_2d / ( nx + 1.0 )
+                      local_2d = local_2d / ( nx + 1.0_wp )
 
                       DEALLOCATE( local_2d_l )
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -257,6 +257,6 @@
                       DO  k = nzb, nz_do3d
                          psi = prt_start_index(k,j,i)
-                         s_r3 = 0.0
-                         s_r4 = 0.0
+                         s_r3 = 0.0_wp
+                         s_r4 = 0.0_wp
                          DO  n = psi, psi+prt_count(k,j,i)-1
                          s_r3 = s_r3 + particles(n)%radius**3 *                &
@@ -265,8 +265,8 @@
                                        particles(n)%weight_factor
                          ENDDO
-                         IF ( s_r3 /= 0.0 )  THEN
+                         IF ( s_r3 /= 0.0_wp )  THEN
                             mean_r = s_r4 / s_r3
                          ELSE
-                            mean_r = 0.0
+                            mean_r = 0.0_wp
                          ENDIF
                          tend(k,j,i) = mean_r
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -75,5 +75,5 @@
                  slicer_range_limits_dvrp(1,islice_dvrp) )
 
-       scale = MODULO( 180.0 + 180.0 * scale, 360.0_wp )
+       scale = MODULO( 180.0_wp + 180.0_wp * scale, 360.0_wp )
 
        color = (/ scale, 0.5_wp, 1.0_wp, 0.0_wp /)
@@ -231,5 +231,5 @@
 !--       Definition of characteristics of particle material
 !          tmp_r = 0.1;  tmp_g = 0.7;  tmp_b = 0.1;  tmp_t = 0.0
-          tmp_r = 0.0;  tmp_g = 0.0;  tmp_b = 0.0;  tmp_t = 0.0
+          tmp_r = 0.0_wp;  tmp_g = 0.0_wp;  tmp_b = 0.0_wp;  tmp_t = 0.0_wp
           CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
 
@@ -284,6 +284,7 @@
              ALLOCATE( psize(dvrp_nop), p_t(dvrp_nop), p_c(dvrp_nop), &
                        p_x(dvrp_nop), p_y(dvrp_nop), p_z(dvrp_nop) )
-             psize = 0.0;  p_t = 0;  p_c = 0.0;  p_x = 0.0;  p_y = 0.0
-             p_z   = 0.0
+             psize = 0.0_wp;  p_t = 0_wp;  p_c = 0.0_wp
+             p_x = 0.0_wp; p_y = 0.0_wp
+             p_z   = 0.0_wp
              k = 0
              DO  n = 1, number_of_particles
@@ -305,6 +306,7 @@
                        p_y(dvrp_not*maximum_number_of_tailpoints), &
                        p_z(dvrp_not*maximum_number_of_tailpoints) )
-             psize = 0.0;  p_t = 0;  p_c = 0.0;  p_x = 0.0;  p_y = 0.0
-             p_z   = 0.0;
+             psize = 0.0_wp;  p_t = 0_wp;  p_c = 0.0_wp
+             p_x = 0.0_wp;  p_y = 0.0_wp
+             p_z   = 0.0_wp
              i = 0
              k = 0
@@ -364,11 +366,11 @@
 
 
-       ELSEIF ( ( mode_dvrp(m)(1:10) == 'isosurface'  .OR.   &
-                  mode_dvrp(m)(1:6)  == 'slicer'           ) &
+       ELSEIF ( ( mode_dvrp(m)(1:10) == 'isosurface'  .OR.                     &
+                  mode_dvrp(m)(1:6)  == 'slicer'           )                   &
                   .AND.  output_variable /= ' ' )  THEN
 
 !
 !--       Create an intermediate array, properly dimensioned for plot-output 
-          ALLOCATE( local_pf(nxl_dvrp:nxr_dvrp+1,nys_dvrp:nyn_dvrp+1, &
+          ALLOCATE( local_pf(nxl_dvrp:nxr_dvrp+1,nys_dvrp:nyn_dvrp+1,          &
                              nzb:nz_do3d) )
 
@@ -390,7 +392,7 @@
 !--                Replace mirrored values at lower surface by real surface
 !--                values
-                   IF ( output_variable == 'u_xz'  .OR. &
+                   IF ( output_variable == 'u_xz'  .OR.                        &
                         output_variable == 'u_yz' )  THEN
-                      IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0
+                      IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0_wp
                    ENDIF
 
@@ -407,7 +409,7 @@
 !--                Replace mirrored values at lower surface by real surface
 !--                values
-                   IF ( output_variable == 'v_xz'  .OR. &
+                   IF ( output_variable == 'v_xz'  .OR.                        &
                         output_variable == 'v_yz' )  THEN
-                      IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0
+                      IF ( ibc_uv_b == 0 )  local_pf(:,:,nzb) = 0.0_wp
                    ENDIF
 
@@ -453,5 +455,5 @@
                          DO  j = nys_dvrp, nyn_dvrp+1
                             DO  k = nzb, nz_do3d
-                               local_pf(i,j,k) = pt(k,j,i) + l_d_cp * &
+                               local_pf(i,j,k) = pt(k,j,i) + l_d_cp *          &
                                                  pt_d_t(k) * ql(k,j,i)
                             ENDDO
@@ -470,6 +472,6 @@
                       ENDDO            
                    ELSE                    
-                      message_string = 'if humidity/passive_scalar = '    // & 
-                            'FALSE output of ' // TRIM( output_variable ) // &
+                      message_string = 'if humidity/passive_scalar = '    //   & 
+                            'FALSE output of ' // TRIM( output_variable ) //   &
                             'is not provided' 
                       CALL message( 'data_output_dvrp', 'PA0183',&
@@ -487,6 +489,6 @@
                       ENDDO
                    ELSE                     
-                      message_string = 'if cloud_physics = FALSE '       // & 
-                                  'output of ' // TRIM( output_variable) // &
+                      message_string = 'if cloud_physics = FALSE '       //    & 
+                                  'output of ' // TRIM( output_variable) //    &
                                   'is not provided' 
                       CALL message( 'data_output_dvrp', 'PA0184',&
@@ -529,5 +531,5 @@
                 DO  j = nys_dvrp, nyn_dvrp+1
                    DO  k = nzb, nz_do3d
-                      local_pf(i,j,k) = 0.0
+                      local_pf(i,j,k) = 0.0_wp
                    ENDDO
                 ENDDO
@@ -547,10 +549,10 @@
              tmp_g = isosurface_color(2,n_isosurface)
              tmp_b = isosurface_color(3,n_isosurface)
-             tmp_t = 0.0
+             tmp_t = 0.0_wp
              CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
 
 !
 !--          Compute and plot isosurface in dvr-format
-             CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
+             CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp,      &
                              cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
 
@@ -573,5 +575,5 @@
                 tmp_th = threshold(n_isosurface)
              ELSE
-                tmp_th = 1.0   ! nothing is plotted because array values are 0
+                tmp_th = 1.0_wp  ! nothing is plotted because array values are 0
              ENDIF
 
@@ -590,5 +592,5 @@
 !
 !--          Material and color definitions
-             tmp_r = 0.0;  tmp_g = 0.0;  tmp_b = 0.0;  tmp_t = 0.0
+             tmp_r = 0.0_wp;  tmp_g = 0.0_wp;  tmp_b = 0.0_wp;  tmp_t = 0.0_wp
              CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
 
@@ -610,11 +612,11 @@
              CALL user_dvrp_coltab( 'slicer', output_variable )
 
-             CALL DVRP_COLORTABLE_HLS( m-1, 1, interval_values_dvrp,     &
-                                       interval_h_dvrp, interval_l_dvrp, &
+             CALL DVRP_COLORTABLE_HLS( m-1, 1, interval_values_dvrp,           &
+                                       interval_h_dvrp, interval_l_dvrp,       &
                                        interval_s_dvrp, interval_a_dvrp )
 
 !
 !--          Compute and plot slicer in dvr-format
-             CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
+             CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp,      &
                              cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
              tmp_pos = slicer_position
@@ -638,11 +640,11 @@
                    local_pfi(2,i,j,k) = v(k,j,i)
                    local_pfi(3,i,j,k) = w(k,j,i)
-                   tmp_norm           = SQRT( u(k,j,i) * u(k,j,i) + &
-                                              v(k,j,i) * v(k,j,i) + &
+                   tmp_norm           = SQRT( u(k,j,i) * u(k,j,i) +            &
+                                              v(k,j,i) * v(k,j,i) +            &
                                               w(k,j,i) * w(k,j,i) )
-                   tmp_alpha          = ACOS( 0.0 * u(k,j,i) / tmp_norm + &
-                                              0.0 * v(k,j,i) / tmp_norm - &
-                                              1.0 * w(k,j,i) / tmp_norm )
-                   tmp_alpha_w        = tmp_alpha / pi * 180.0
+                   tmp_alpha          = ACOS( 0.0_wp * u(k,j,i) / tmp_norm +   &
+                                              0.0_wp * v(k,j,i) / tmp_norm -   &
+                                              1.0_wp * w(k,j,i) / tmp_norm )
+                   tmp_alpha_w        = tmp_alpha / pi * 180.0_wp
                    local_pfi(4,i,j,k) = tmp_alpha_w
                 ENDDO
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1352)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -218,6 +218,6 @@
                       DO  k = nzb, nzt+1
                          psi = prt_start_index(k,j,i)
-                         s_r3 = 0.0
-                         s_r4 = 0.0
+                         s_r3 = 0.0_wp
+                         s_r4 = 0.0_wp
                          DO  n = psi, psi+prt_count(k,j,i)-1
                             s_r3 = s_r3 + particles(n)%radius**3 * &
@@ -226,8 +226,8 @@
                                           particles(n)%weight_factor
                          ENDDO
-                         IF ( s_r3 /= 0.0 )  THEN
+                         IF ( s_r3 /= 0.0_wp )  THEN
                             mean_r = s_r4 / s_r3
                          ELSE
-                            mean_r = 0.0
+                            mean_r = 0.0_wp
                          ENDIF
                          tend(k,j,i) = mean_r
